Subject: [lojban] Re: Automatic Lojban -> English translation?

From: And Rosta <[email-masked]>
Date: Thu, 20 Jun 2002 18:23:57 +0100

>>> "Newton, Philip" <[email-masked]> 06/20/02 
#And Rosta wrote:
#> However, it's quite easy to translate Lojban into a version where the
#> Lojban words are simply replaced by English/French/German equivalents.
#> That way, you have to learn Lojban grammar and (more onerously)
#> place-structures, but not the actual vocab.
#
#Which is pretty much what jbofi'e does, isn't it? It translates words and
#indicates place structures, leaving you to decipher the result into
#idiomatic English. It's usually comprehensible enough, in my experience.

I haven't used jbofi'e, but I'll take your word for it. What does jbofi'e do
with cmavo? Ideally, my preference would be for the commonest
cmavo to be untranslated, and the rarer cmavo to be translated and
tagged with their selmaho.

#robin.tr wrote:
#> I don't think much Lojban knowledge would be required 
#> to understanfd the output.
#
#Hm, not sure either. I find it understandable enough, but then, I have a
#rudimentary knowledge of Lojban already.

The good thing, imo, is that it wouldn't require memory-reliant knowledge;
you wouldn't actually have to memorize the vocab. But you would have
to know the grammar, and the semantics of the cmavo.

The Anglan result would be a variety of Lojban I could actually
read in real time.

--And.